#include "stdafx.h"
#include "phidget_jni.h"
#include "com_phidgets_AdvancedServoPhidget.h"
#include "../cphidgetadvancedservo.h"

EVENT_VARS(servoPositionChange, ServoPositionChange)

JNI_LOAD(advservo, AdvancedServo)
	EVENT_VAR_SETUP(advservo, servoPositionChange, ServoPositionChange, ID, V)
}

EVENT_HANDLER_INDEXED(AdvancedServo, servoPositionChange, ServoPositionChange, 
					  CPhidgetAdvancedServo_set_OnPositionChange_Handler, double)

JNI_CREATE(AdvancedServo)
JNI_INDEXED_GETFUNC(AdvancedServo, Acceleration, Acceleration, jdouble)
JNI_INDEXED_SETFUNC(AdvancedServo, Acceleration, Acceleration, jdouble)
JNI_INDEXED_GETFUNC(AdvancedServo, MaxVelocity, MaxVelocity, jdouble)
JNI_INDEXED_SETFUNC(AdvancedServo, MaxVelocity, MaxVelocity, jdouble)
JNI_INDEXED_GETFUNC(AdvancedServo, Position, MotorPosition, jdouble)
JNI_INDEXED_SETFUNC(AdvancedServo, Position, MotorPosition, jdouble)
JNI_INDEXED_GETFUNC(AdvancedServo, Current, Current, jdouble)
JNI_GETFUNC(AdvancedServo, MotorCount, NumMotors, jint)
