#ifndef __CPHIDGETACCELEROMETER
#define __CPHIDGETACCELEROMETER

DPHANDLE(Accelerometer)

CHDRSTANDARD(Accelerometer)
CHDRGETSETINDEX(Accelerometer,AccelerationChangeTrigger,PDOUBLE)
CHDRGET(Accelerometer,NumAxis,PINTEGER)
CHDRGETINDEX(Accelerometer,Acceleration,PDOUBLE)
CHDREVENTINDEX(Accelerometer,AccelerationChange,PDOUBLE)

#ifndef EXTERNALPROTO
#define ACCEL_MAXAXES 3
struct _CPhidgetAccelerometer {
	CPhidget phid;
	int (CCONV *fptrAccelerationChange)(CPhidgetAccelerometerHandle, void *, int, double);           
	void *fptrAccelerationChangeptr;
	double axis[ACCEL_MAXAXES];
	double axisChangeTrigger[ACCEL_MAXAXES];
	double axisLastTrigger[ACCEL_MAXAXES];
	unsigned char outputPacket[8];
	unsigned int outputPacketLen;
} typedef CPhidgetAccelerometerInfo;
#endif
#endif
